UDIRX=`pwd`
#
if [ $? -eq 0 ]; then
  SPHYSICSgen_Done="yes"
  echo 'SPHYSICSgen_Done = ' $SPHYSICSgen_Done
  rm SPHYSICS_2D
  cp SPHYSICS.mak ../../source/SPHYSICS2D/
  cd ../../source/SPHYSICS2D
  pwd
  ## - Uncomment following line for quicker repeated compilation -
  make -f SPHYSICS.mak clean
  make -f SPHYSICS.mak
  if [ $? -eq 0 ]; then
    echo ' '
    SPHYSICScompilationDone="yes"
    echo 'SPHYSICScompilationDone = ' $SPHYSICScompilationDone
    echo ' '
    rm SPHYSICS.mak
    cd $UDIRX
    #rm PART_*
    rm DETPART_*
    rm sph.out sph.error
    rm MPI_Partition_Positions.dat
    pwd
    cp ../../execs/SPHYSICS_2D ./

    ## Comment out the following lines as necessary depending on your architecture
    ## DON'T SELECT INTERACTIVE AT SAME TIME AS A BATCH SUBMISSION SYSTEM BELOW

    ## LSF Submission system
    ## - Interactive MPI execution -
    #prun -p login -n 4 -B 4 ./SPHYSICS_2D
    #
    ## - Batch Submission execution -
    #bsub < script_bsub.bsub

    ## SGE Submission system
    ## - Interactive MPI execution -
    #qsub -I -l nodes=4 ./SPHYSICS_2D ??
    ##
    ## - Batch Submission execution -
    qsub script_qsub.qsub
  else
    rm SPHYSICS.mak
    cd $UDIRX
    echo ' '
    echo 'SPHYSICS_2D compilation failed'
    echo 'Make sure correct compiler is selected in Case file'
  fi
else
  cd $UDIRX
  echo ' '
  echo 'SPHYSICSgen failed'
fi

